import Vue from "vue";
import api from "@/api/index.js";

export default {
  namespaced: true,
  state: {
    title: "我是活动详情nice",
    detail: {
			
    },
    loading: false,
    num : "1"
  },
  actions: {
    fetchActivityDetail({ commit, state }, ids) {
      
      // return api.request("get", api.getURL("houseLayout/delete"), {
      // 	ids: ids.join(",")
      // });
    },
    fetchActivityList({ commit, state }, ids) {
      return api.request("get", api.getURL("houseLayout/delete"), {
        ids: ids.join(",")
      }).then((res) => {
        
        commit("CHANGE_ACTIVITY_DETAIL", res);
        return res;
      });
    },
  },
  mutations: {
    INIT_DATA_STATUS(state, data) {
			
    },
    CHANGE_ACTIVITY_DETAIL(state, data) {
      state.detail = data;
    },
    CHANGE_TITLE_TXT(state) {
      state.title = Date.now();
    },
    CHANGE_NUM(state) {
      state.num ++;
    }  
  },
  getters: {}
};